## python-lib389 1.0.1%2bgit20160414

=== Makefile ===
.PHONY: build install test rpms srpms

LIB389_VERS ?= $(shell cat ./VERSION | head -n 1)

all: build

build:
	python setup.py build

install:
	python setup.py install --force --root=/

rpmbuild-prep:
	mkdir -p ./dist/
	mkdir -p ~/rpmbuild/SOURCES
	mkdir -p ~/rpmbuild/SPECS
	git archive --prefix=python-lib389-$(LIB389_VERS)-1/ HEAD | bzip2 > ./dist/python-lib389-$(LIB389_VERS)-1.tar.bz2
	cp ./dist/python-lib389-$(LIB389_VERS)-1.tar.bz2 ~/rpmbuild/SOURCES/

srpm: rpmbuild-prep
	rpmbuild -bs python-lib389.spec
	cp ~/rpmbuild/SRPMS/python-lib389*.src.rpm ./dist/

rpm: rpmbuild-prep
	rpmbuild -bb python-lib389.spec

# Needs to generally be run as sudo
test:
	py.test -s ./lib389/tests

=== requirements.txt ===
python-ldap
wheel
nose
pyasn1
pyasn1-modules
six
pytest

## python-lib389 1.0.1+git20160414

=== debian/changelog ===
python-lib389 (1.0.1+git20160414-1) unstable; urgency=low

  * Initial release. (Closes: #821780)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Apr 2016 12:09:21 +0300

=== debian/control ===
Source: python-lib389
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-ldap,
 python-setuptools (>= 0.6b3),
 python-all (>= 2.6.6-3),
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/python-lib389.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/python-lib389.git
Homepage: http://port389.org

Package: python-lib389
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-pytest,
 python-krbv,
 python-ldap,
 python-six,
Description: Python module for accessing and configuring the 389 Directory Server
 This Python module contains tools and libraries for accessing, testing,
 and configuring the 389 Directory Server.

=== debian/watch ===
# please also check http://pypi.debian.net/lib389/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://www.port389.org/binaries/python-lib389-(.+)\.tar\.bz2

## python-lib389 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 .PHONY: build install test rpms srpms
 
 LIB389_VERS ?= $(shell cat ./VERSION | head -n 1)
+PYTHON ?= /usr/bin/python
 
 all: build
 
 build:
-	python setup.py build
+	$(PYTHON) setup.py build
 
 install:
-	python setup.py install --force --root=/
+	$(PYTHON) setup.py install --force --root=/
 
 rpmbuild-prep:
 	mkdir -p ./dist/
@@ -24,6 +25,8 @@
 rpm: rpmbuild-prep
 	rpmbuild -bb python-lib389.spec
 
+pep8:
+	pep8 --max-line-length=160 ./lib389
 # Needs to generally be run as sudo
 test:
 	py.test -s ./lib389/tests

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 pyasn1-modules
 six
 pytest
+python-dateutil

=== debian/changelog ===
python-lib389 (1.0.2-3) unstable; urgency=medium

  * control: Drop dependency on python-krbv, it's not needed anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Oct 2016 18:48:04 +0300

python-lib389 (1.0.2-2) unstable; urgency=medium

  * control: Add python-dateutil, python-pyasn1, python-pyasn1-modules
    to Depends.
  * fix-list-instances.diff: Fix clitools import in ds_list_instances.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 01 Oct 2016 10:31:14 +0300

python-lib389 (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * watch: Handle weird upstream versions.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Sep 2016 19:12:20 +0300

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,11 @@
 Package: python-lib389
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
+ python-dateutil,
+ python-ldap,
+ python-pyasn1,
+ python-pyasn1-modules,
  python-pytest,
- python-krbv,
- python-ldap,
  python-six,
 Description: Python module for accessing and configuring the 389 Directory Server
  This Python module contains tools and libraries for accessing, testing,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lib389

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	python setup.py test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf lib389.egg-info

gentarball: SOURCE=python-lib389
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

=== debian/watch ===
# please also check http://pypi.debian.net/lib389/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/-.// \
http://www.port389.org/binaries/python-lib389-(.+)\.tar\.bz2
